%define upstream_name Authen-Simple-Passwd
%define upstream_version 0.6

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Simple Passwd authentication
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHANSEN/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Authen::Simple) >= 0.3
BuildRequires:  perl(Module::Build)

# Required by the tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Data::Inheritable)

# For improved tests
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04

%description
Authenticate against a passwd file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%_fixperms %{buildroot}/*

%check
TEST_POD=1 ./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.600.0-6.mga9
+ Revision: 1802135
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.600.0-5.mga8
+ Revision: 1492883
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-4.mga7
+ Revision: 1265717
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.600.0-3.mga6
+ Revision: 1022676
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 934818
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 743076
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.6-1.mga5
+ Revision: 734793
- imported package perl-Authen-Simple-Passwd


* Thu Oct 02 2014 Thierry Vignaud <tv@mageia.org> 0.6-1.mga5
- import from FC

* Wed Dec 22 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 0.6-1
- Initial Fedora package.
